<div class="employee-list">
  <header class="employee-list__header">
    <span class="employee-list__column">ID</span>
    <span class="employee-list__column">UserName</span>
    <span class="employee-list__column">Phone</span>
    <span class="employee-list__column">Role</span>
    <span class="employee-list__column">Name</span>
  </header>
  <section class="employee-list__content">
    <ul>
      <li *ngFor="let employee of employeeService.employees$ | async; trackBy: trackByFn"
          class="employee-list__row"
          [class.employee-list__row--active]="employee.id === selectedEmployee?.id"
          (click)="selectEmployee(employee)"
      >
        <span class="employee-list__column">{{ employee.id }}</span>
        <span class="employee-list__column">{{ employee.userName }}</span>
        <span class="employee-list__column">{{ employee.phoneNumber }}</span>
        <span class="employee-list__column">{{ employee.role }}</span>
        <span class="employee-list__column">{{ employee.name }}</span>
      </li>
    </ul>
  </section>
</div>
<div class="employee-list__buttons">
  <button class="btn btn--red"
          [disabled]="!selectedEmployee"
          (click)="deleteEmployee()"
  >Delete</button>
  <button class="btn btn--blue"
          [disabled]="!selectedEmployee"
          (click)="editEmployee()"
  >Edit</button>
  <button class="btn btn--green" (click)="addEmployee()">Add</button>
</div>
